# $Revision: 1.11 $, $Date: 2006/12/11 00:08:00 $
Summary:	CFITSIO Interface Library
Summary(pl):	Biblioteka interfejsu CFITSIO
Name:		cfitsio
Version:	3.020
%define	sver	%(echo %{version} | tr -d .)
Release:	1
License:	GPL (forced only by gzip code, basically BSD-like)
Group:		Libraries
Source0:	ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/%{name}%{sver}.tar.gz
# Source0-md5:	fbc9e0db4d4b48b0a6a8de0f2036eb47
URL:		http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html
BuildRequires:	gcc-g77
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CFITSIO is a library of ANSI C routines for reading and writing FITS
format data files.  A set of Fortran-callable wrapper routines are
also included for the convenience of Fortran programmers.

%description -l pl
CFITSIO to biblioteka funkcji w C do odczytu i zapisu plikw z danymi
w formacie FITS. Zawiera take zestaw wrapperw pozwalajcych na
wywoywanie tych funkcji z programw w Fortranie.

%package devel
Summary:	Header files and documentation for CFITSIO
Summary(pl):	Pliki nagwkowe i dokumentacja do CFITSIO
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for CFITSIO.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do CFITSIO.

%package static
Summary:	Static CFITSIO library
Summary(pl):	Statyczna biblioteka CFITSIO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of CFITSIO library.

%description static -l pl
Statyczna wersja biblioteki CFITSIO.

%prep
%setup -q -n %{name}

sed -i -e 's/ f77 xlf / gfortran f77 xlf /' configure

%build
%configure2_13

%{__make} shared

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

%{__make} install \
	CFITSIO_LIB=$RPM_BUILD_ROOT%{_libdir} \
	CFITSIO_INCLUDE=$RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc License.txt README changes.txt
%attr(755,root,root) %{_libdir}/libcfitsio.so

%files devel
%defattr(644,root,root,755)
%doc cfitsio.doc cfitsio.ps fitsio.doc fitsio.ps quick.ps
%{_includedir}/*.h
%{_pkgconfigdir}/cfitsio.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcfitsio.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cfitsio.spec,v $
Revision 1.11  2006/12/11 00:08:00  qboosh
- updated to 3.020

Revision 1.10  2006/05/28 23:14:03  qboosh
- updated to 3.006
- added hack to be ready for gfortran (gcc 4)

Revision 1.9  2005/02/12 10:06:46  bszx
- updated to 2.510 (new fits_open_diskfile and fits_create_diskfile functions, bugfixes)

Revision 1.8  2004/12/01 20:54:17  qboosh
- updated to 2.500 (new ffexist() function, bugfixes)

Revision 1.7  2004/05/07 17:48:22  qboosh
- updated to 2.490 (with amd64 support)

Revision 1.5  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:46:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/02 13:57:47  radek
- version 2.440 (whatever it's for)

Revision 1.2  2002/07/25 00:55:39  ankry
- autoupdate to 2.420

Revision 1.1  2002/06/21 21:07:40  qboosh
- new
